#!/usr/bin/perl

require 5.000 ;	# This is a perl 5.0 script

require MDL_sdf ;

#Read data from STDIN and create one object of type MDL_sdf_data_fields
my $data = MDL_sdf_data_fields->readFromInput() ; 

#Show the content of the object $data to STDERR (useful for debugging)
$data->inspect();

#Write the data (all fields) to STDOUT
$data->write() ;

print "----------------\n" ;

#Write the one field data to STDOUT

print $data->data_for_field_name('BOILING.POINT'), "\n\n";

